/* essential function prototypes */
int mbr_register_nvnetcdf(int verbose, void *mbio_ptr, 
		int *error);
int mbr_info_nvnetcdf(int verbose, 
			int *system, 
			int *beams_bath_max, 
			int *beams_amp_max, 
			int *pixels_ss_max, 
			char *format_name, 
			char *system_name, 
			char *format_description, 
			int *numfile, 
			int *filetype, 
			int *variable_beams, 
			int *traveltime, 
			int *beam_flagging, 
			int *nav_source, 
			int *heading_source, 
			int *vru_source, 
			int *svp_source,
			double *beamwidth_xtrack, 
			double *beamwidth_ltrack, 
			int *error);
int mbr_alm_nvnetcdf(int verbose, void *mbio_ptr, int *error);
int mbr_dem_nvnetcdf(int verbose, void *mbio_ptr, int *error);
int mbr_rt_nvnetcdf(int verbose, void *mbio_ptr, void *store_ptr, int *error);
int mbr_wt_nvnetcdf(int verbose, void *mbio_ptr, void *store_ptr, int *error);
